Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml
Class NotificationRegistry

    java.lang.Object
      org.apache.commons.scxml.NotificationRegistry

All Implemented Interfaces:
  Serializable

public final class NotificationRegistry
extends Object
implements Serializable

The registry where SCXML listeners are recorded for nodes of interest such as the `SCXML` root, `TransitionTarget`s and `Transition`s. The notification registry keeps track of all `SCXMLListener`s attached and notifies relevant listeners of the events that interest them.

See Also:
  Serialized Form

Constructor Summary
`NotificationRegistry()` Constructor.

Method Summary
`void` | `fireOnEntry(SCXML observable, TransitionTarget state)` Inform all relevant listeners that a TransitionTarget has been entered.
`void` | `fireOnEntry(TransitionTarget observable, TransitionTarget state)` Inform all relevant listeners that a TransitionTarget has been entered.
`void` | `fireOnExit(SCXML observable, TransitionTarget state)` Inform all relevant listeners that a TransitionTarget has been exited.
`void` | `fireOnExit(TransitionTarget observable, TransitionTarget state)` Inform all relevant listeners that a TransitionTarget has been exited.
`void` | `fireOnTransition(SCXML observable, TransitionTarget from, TransitionTarget to, Transition transition)` Inform all relevant listeners of a transition that has occured.
`void` | `fireOnTransition(Transition observable, TransitionTarget from, TransitionTarget to, Transition transition)` Inform all relevant listeners of a transition that has occured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationRegistry

    public NotificationRegistry()

  Constructor.

Method Detail

### fireOnEntry

    public void fireOnEntry(TransitionTarget observable,
                            TransitionTarget state)

  Inform all relevant listeners that a TransitionTarget has been entered.

  Parameters:
    `observable` - The Observable
    `state` - The TransitionTarget that was entered

### fireOnEntry

    public void fireOnEntry(SCXML observable,
                            TransitionTarget state)

  Inform all relevant listeners that a TransitionTarget has been entered.

  Parameters:
    `observable` - The Observable
    `state` - The TransitionTarget that was entered

### fireOnExit

    public void fireOnExit(TransitionTarget observable,
                           TransitionTarget state)

  Inform all relevant listeners that a TransitionTarget has been exited.

  Parameters:
    `observable` - The Observable
    `state` - The TransitionTarget that was exited

### fireOnExit

    public void fireOnExit(SCXML observable,
                           TransitionTarget state)

  Inform all relevant listeners that a TransitionTarget has been exited.

  Parameters:
    `observable` - The Observable
    `state` - The TransitionTarget that was exited

### fireOnTransition

    public void fireOnTransition(Transition observable,
                                 TransitionTarget from,
                                 TransitionTarget to,
                                 Transition transition)

  Inform all relevant listeners of a transition that has occured.

  Parameters:
    `observable` - The Observable
    `from` - The source TransitionTarget
    `to` - The destination TransitionTarget
    `transition` - The Transition that was taken

### fireOnTransition

    public void fireOnTransition(SCXML observable,
                                 TransitionTarget from,
                                 TransitionTarget to,
                                 Transition transition)

  Inform all relevant listeners of a transition that has occured.

  Parameters:
    `observable` - The Observable
    `from` - The source TransitionTarget
    `to` - The destination TransitionTarget
    `transition` - The Transition that was taken

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.